/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.friendly.url.model;

import aQute.bnd.annotation.ProviderType;

import com.liferay.portal.kernel.annotation.ImplementationClassName;
import com.liferay.portal.kernel.util.Accessor;

/**
 * The extended model interface for the FriendlyURLEntryMapping service. Represents a row in the &quot;FriendlyURLEntryMapping&quot; database table, with each column mapped to a property of this class.
 *
 * @author Brian Wing Shun Chan
 * @see FriendlyURLEntryMappingModel
 * @see com.liferay.friendly.url.model.impl.FriendlyURLEntryMappingImpl
 * @see com.liferay.friendly.url.model.impl.FriendlyURLEntryMappingModelImpl
 * @generated
 */
@ImplementationClassName("com.liferay.friendly.url.model.impl.FriendlyURLEntryMappingImpl")
@ProviderType
public interface FriendlyURLEntryMapping extends FriendlyURLEntryMappingModel {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify this interface directly. Add methods to {@link com.liferay.friendly.url.model.impl.FriendlyURLEntryMappingImpl} and rerun ServiceBuilder to automatically copy the method declarations to this interface.
	 */
	public static final Accessor<FriendlyURLEntryMapping, Long> FRIENDLY_URL_ENTRY_MAPPING_ID_ACCESSOR =
		new Accessor<FriendlyURLEntryMapping, Long>() {
			@Override
			public Long get(FriendlyURLEntryMapping friendlyURLEntryMapping) {
				return friendlyURLEntryMapping.getFriendlyURLEntryMappingId();
			}

			@Override
			public Class<Long> getAttributeClass() {
				return Long.class;
			}

			@Override
			public Class<FriendlyURLEntryMapping> getTypeClass() {
				return FriendlyURLEntryMapping.class;
			}
		};
}