/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.friendly.url.model;

import aQute.bnd.annotation.ProviderType;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.List;

/**
 * This class is used by SOAP remote services.
 *
 * @author Brian Wing Shun Chan
 * @generated
 */
@ProviderType
public class FriendlyURLEntryMappingSoap implements Serializable {
	public static FriendlyURLEntryMappingSoap toSoapModel(
		FriendlyURLEntryMapping model) {
		FriendlyURLEntryMappingSoap soapModel = new FriendlyURLEntryMappingSoap();

		soapModel.setMvccVersion(model.getMvccVersion());
		soapModel.setFriendlyURLEntryMappingId(model.getFriendlyURLEntryMappingId());
		soapModel.setClassNameId(model.getClassNameId());
		soapModel.setClassPK(model.getClassPK());
		soapModel.setFriendlyURLEntryId(model.getFriendlyURLEntryId());

		return soapModel;
	}

	public static FriendlyURLEntryMappingSoap[] toSoapModels(
		FriendlyURLEntryMapping[] models) {
		FriendlyURLEntryMappingSoap[] soapModels = new FriendlyURLEntryMappingSoap[models.length];

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModel(models[i]);
		}

		return soapModels;
	}

	public static FriendlyURLEntryMappingSoap[][] toSoapModels(
		FriendlyURLEntryMapping[][] models) {
		FriendlyURLEntryMappingSoap[][] soapModels = null;

		if (models.length > 0) {
			soapModels = new FriendlyURLEntryMappingSoap[models.length][models[0].length];
		}
		else {
			soapModels = new FriendlyURLEntryMappingSoap[0][0];
		}

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModels(models[i]);
		}

		return soapModels;
	}

	public static FriendlyURLEntryMappingSoap[] toSoapModels(
		List<FriendlyURLEntryMapping> models) {
		List<FriendlyURLEntryMappingSoap> soapModels = new ArrayList<FriendlyURLEntryMappingSoap>(models.size());

		for (FriendlyURLEntryMapping model : models) {
			soapModels.add(toSoapModel(model));
		}

		return soapModels.toArray(new FriendlyURLEntryMappingSoap[soapModels.size()]);
	}

	public FriendlyURLEntryMappingSoap() {
	}

	public long getPrimaryKey() {
		return _friendlyURLEntryMappingId;
	}

	public void setPrimaryKey(long pk) {
		setFriendlyURLEntryMappingId(pk);
	}

	public long getMvccVersion() {
		return _mvccVersion;
	}

	public void setMvccVersion(long mvccVersion) {
		_mvccVersion = mvccVersion;
	}

	public long getFriendlyURLEntryMappingId() {
		return _friendlyURLEntryMappingId;
	}

	public void setFriendlyURLEntryMappingId(long friendlyURLEntryMappingId) {
		_friendlyURLEntryMappingId = friendlyURLEntryMappingId;
	}

	public long getClassNameId() {
		return _classNameId;
	}

	public void setClassNameId(long classNameId) {
		_classNameId = classNameId;
	}

	public long getClassPK() {
		return _classPK;
	}

	public void setClassPK(long classPK) {
		_classPK = classPK;
	}

	public long getFriendlyURLEntryId() {
		return _friendlyURLEntryId;
	}

	public void setFriendlyURLEntryId(long friendlyURLEntryId) {
		_friendlyURLEntryId = friendlyURLEntryId;
	}

	private long _mvccVersion;
	private long _friendlyURLEntryMappingId;
	private long _classNameId;
	private long _classPK;
	private long _friendlyURLEntryId;
}